## xbs 0-6

=== Makefile ===



CC = gcc

CFLAGS = -O3

LIBS = -lX11 -lm 

LIBPATH = -L/usr/X11R6/lib


all:	xbs.c
	$(CC) $(CFLAGS) -o xbs xbs.c $(LIBPATH) $(LIBS)
	

clean:
	-rm *.o xbs

=== debian/changelog ===
xbs (0-6) unstable; urgency=low

  * runex now looks in the correct directory (closes: #102414)

 -- Matthew Vernon <matthew@debian.org>  Wed, 27 Jun 2001 20:23:52 +0100
	

xbs (0-5) unstable; urgency=low

  * Change section to science

 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 02:55:18 +0100

xbs (0-4) unstable; urgency=low

  * Move to /usr/share/doc (closes: #91716)
  * Move to /usr/share/man (closes: #91093)

 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 15:34:56 +0100
	

xbs (0-3) unstable; urgency=low

  * Change compiler to gcc (closes: #61587)

 -- Matthew Vernon <matthew@debian.org>  Fri, 17 Nov 2000 20:32:51 +0000

xbs (0-2) unstable; urgency=low

  * New Maintainer

 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Dec 1999 16:22:46 +0000

xbs (0-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon,  3 Aug 1998 01:37:50 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "matthew@debian.org"
End:

=== debian/control ===
Source: xbs
Section: science
Priority: optional
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 3.2.1.0

Package: xbs
Architecture: any
Depends:  ${shlibs:Depends}
Description: 3-d models and movies of molecules
 xbs ball-and-sticks plotting program can create still
 and moving three dimensional models of molecules. X11 and
 PostScript output are available.  Models can be rotated,
 scaled, etc.  Various labeling, shading, lighting, 
 coloring options are available.

=== debian/rules ===
#!/usr/bin/make -f
# ssystem debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=xbs

ddir=`pwd`/debian/tmp

build:
	$(checkdir)
	make 

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/bin

# install man page
	install -d debian/tmp/usr/share/man/man1
	cp debian/$(package).1 debian/tmp/usr/share/man/man1
	gzip -9 debian/tmp/usr/share/man/man1/*


# install standard docs
	install -d debian/tmp/usr/share/doc/$(package)
	cp debian/README.debian  debian/tmp/usr/share/doc/$(package)
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cp Changes.xbs debian/tmp/usr/share/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/share/doc/$(package)/change*

# but don't gzip the copyright statement
#
	cp debian/copyright debian/tmp/usr/share/doc/$(package)/copyright

# install examples
	install -d debian/tmp/usr/share/doc/$(package)/examples
	cp debian/README.examples \
	    debian/runex *.bs *.mv debian/tmp/usr/share/doc/$(package)/examples
	chmod +x debian/tmp/usr/share/doc/$(package)/examples/runex

# install binary
	install -m 755 xbs debian/tmp/usr/bin
	strip --strip-unneeded debian/tmp/usr/bin/*

# install things in debian/tmp/DEBIAN
	install -d debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/bin/*
	dpkg-gencontrol -isp

# clean permissions and build
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## xbs 0-7.1

=== debian/changelog ===
xbs (0-7.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on debmake and xlibs-dev.  Closes: #190623.
  * Remove /usr/doc/xbs symlink.

 -- Daniel Schepler <schepler@debian.org>  Thu, 21 Aug 2003 00:32:31 -0700

xbs (0-7) unstable; urgency=low

  * #include <string.h> in subs.h (Closes: #126658)
  * Add several more #includes...
  * Tidy up a few lintian things (Closes: #126923)

 -- Matthew Vernon <matthew@debian.org>  Sat,  5 Jan 2002 08:06:04 +0000
	

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
+Build-Depends: debmake, xlibs-dev
 Standards-Version: 3.2.1.0
 
 Package: xbs

=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,8 @@
 	chmod +x debian/tmp/usr/share/doc/$(package)/examples/runex
 
 # install binary
-	install -m 755 xbs debian/tmp/usr/bin
-	strip --strip-unneeded debian/tmp/usr/bin/*
+	install -s -m 755 xbs debian/tmp/usr/bin
+#	strip debian/tmp/usr/bin/*
 
 # install things in debian/tmp/DEBIAN
 	install -d debian/tmp/DEBIAN

## xbs 0-7.2

=== debian/changelog ===
xbs (0-7.2) unstable; urgency=low

  * Remove incorrect Build-Depends on debmakr (Closes: #288979)
  * Tidy up rules to use POSIX chown syntax

 -- Matthew Vernon <matthew@debian.org>  Sat, 15 Jan 2005 18:10:29 +0000
	

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: debmake, xlibs-dev
+Build-Depends: xlibs-dev
 Standards-Version: 3.2.1.0
 
 Package: xbs

## xbs 0-7.3

=== debian/changelog ===
xbs (0-7.3) unstable; urgency=low

  * Fix Build-Depends for new X layout (Closes: #346761)

 -- Matthew Vernon <matthew@debian.org>  Sat, 14 Jan 2006 15:39:00 +0000
	

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: xlibs-dev
+Build-Depends: libx11-dev, x-dev
 Standards-Version: 3.2.1.0
 
 Package: xbs

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	dpkg-gencontrol -isp
 
 # clean permissions and build
-	chown -R root.root debian/tmp
+	chown -R root:root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## xbs 0-8

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 all:	xbs.c
 	$(CC) $(CFLAGS) -o xbs xbs.c $(LIBPATH) $(LIBS)
-	
+
 
 clean:
 	-rm *.o xbs

=== debian/changelog ===
xbs (0-8) unstable; urgency=low

  * update Build-Dep from x-dev to x11proto-core-dev (Closes: #515516)
  * move to newer Standards-Version
  * tidy up copyright file (thanks to Jari Aalto)
  * correct typo in man-page (Closes: #354711)
  * correct hyphens in man-page (thanks to Jari Aalto)
  * don't strip if DEB_BUILD_OPTIONS=nostrip set (Closes: #438287)
  * #include <stdlib.h> in xbs.c (thanks to Jari Aalto)

 -- Matthew Vernon <matthew@debian.org>  Thu, 13 May 2010 17:30:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: science
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: libx11-dev, x-dev
-Standards-Version: 3.2.1.0
+Build-Depends: libx11-dev, x11proto-core-dev
+Standards-Version: 3.8.4
 
 Package: xbs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -53,9 +53,15 @@
 	chmod +x debian/tmp/usr/share/doc/$(package)/examples/runex
 
 # install binary
-	install -s -m 755 xbs debian/tmp/usr/bin
-#	strip debian/tmp/usr/bin/*
-
+	#Is nostrip set in DEB_BUILD_OPTIONS?
+	case "$$DEB_BUILD_OPTIONS" in \
+	*nostrip*)\
+	install -m 755 xbs debian/tmp/usr/bin \
+	;; \
+	*) \
+	install -s -m 755 xbs debian/tmp/usr/bin \
+	;; \
+	esac
 # install things in debian/tmp/DEBIAN
 	install -d debian/tmp/DEBIAN
 	dpkg-shlibdeps debian/tmp/usr/bin/*

## xbs 0-9

=== debian/changelog ===
xbs (0-9) unstable; urgency=low

  * patch from Sylvestre Ledru <sylvestre@debian.org> to make this build
    with clang (Closes: #710387)
  * patch from Chris Lamb <lamby@debian.org> to make builds reproducible
    (add -n to gzip invocations) (Closes: #777007)

 -- Matthew Vernon <matthew@debian.org>  Sat, 07 Mar 2015 22:59:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # install man page
 	install -d debian/tmp/usr/share/man/man1
 	cp debian/$(package).1 debian/tmp/usr/share/man/man1
-	gzip -9 debian/tmp/usr/share/man/man1/*
+	gzip -9n debian/tmp/usr/share/man/man1/*
 
 
 # install standard docs
@@ -40,7 +40,7 @@
 	cp debian/README.debian  debian/tmp/usr/share/doc/$(package)
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
 	cp Changes.xbs debian/tmp/usr/share/doc/$(package)/changelog
-	gzip -9v debian/tmp/usr/share/doc/$(package)/change*
+	gzip -9vn debian/tmp/usr/share/doc/$(package)/change*
 
 # but don't gzip the copyright statement
 #

## xbs 0-10

=== debian/changelog ===
xbs (0-10) unstable; urgency=low

  * patch from Colin Watson to move to dh-based packaging. Thanks!
    (Closes: #792988)

 -- Matthew Vernon <matthew@debian.org>  Wed, 29 Jul 2015 17:36:35 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs Changes.xbs

override_dh_installexamples:
	dh_installexamples
	chmod +x debian/xbs/usr/share/doc/xbs/examples/runex

override_dh_compress:
	# Leave these uncompressed so that runex works.
	dh_compress -X.bs -X.mv

override_dh_fixperms:
	dh_fixperms -Xrunex

## xbs 0-10build1

=== debian/changelog ===
xbs (0-10build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:51:49 +0000

=== debian/control ===
Source: xbs
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
Build-Depends: debhelper (>= 9~), libx11-dev, x11proto-core-dev
Standards-Version: 3.8.4

Package: xbs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3-d models and movies of molecules
 xbs ball-and-sticks plotting program can create still
 and moving three dimensional models of molecules. X11 and
 PostScript output are available.  Models can be rotated,
 scaled, etc.  Various labeling, shading, lighting, 
 coloring options are available.

## xbs 0-11

=== debian/changelog ===
xbs (0-11) unstable; urgency=medium

  * patch from Nilesh Patra <nilesh@debian.org> to make build reproducible
    (fix mode of runex) (Closes: #985219)

 -- Matthew Vernon <matthew@debian.org>  Sun, 14 Mar 2021 17:46:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xbs
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: debhelper (>= 9~), libx11-dev, x11proto-core-dev
 Standards-Version: 3.8.4

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_installexamples:
 	dh_installexamples
-	chmod +x debian/xbs/usr/share/doc/xbs/examples/runex
+	chmod u=rwx,g=rx,o=x debian/xbs/usr/share/doc/xbs/examples/runex
 
 override_dh_compress:
 	# Leave these uncompressed so that runex works.

## xbs 0-12

=== debian/changelog ===
xbs (0-12) unstable; urgency=medium

  * Fix all the gcc-14 compilation failures (Closes: #1075654)

 -- Matthew Vernon <matthew@debian.org>  Tue, 20 Aug 2024 20:41:54 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_installexamples:
 	dh_installexamples
-	chmod u=rwx,g=rx,o=x debian/xbs/usr/share/doc/xbs/examples/runex
+	chmod u=rwx,g=rx,o=rx debian/xbs/usr/share/doc/xbs/examples/runex
 
 override_dh_compress:
 	# Leave these uncompressed so that runex works.

## xbs 0-12build1

=== debian/changelog ===
xbs (0-12build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:36:13 +0100
